Class | Rack::Utils::HeaderHash
In: | lib/action_controller/vendor/rack-1.0/rack/utils.rb
Parent: | Hash

A case-insensitive Hash that preserves the original case of a header when set.

### Methods

[] []= delete has_key? include? key? member? merge merge! new to_hash

### Public Class methods

new(hash={})

### Public Instance methods

[](k)
[]=(k, v)
delete(k)
has_key?(k)

Alias for include?

include?(k)
key?(k)

Alias for include?

member?(k)

Alias for include?

merge(other)
merge!(other)
to_hash()

[Validate]